org.eclipse.graphiti.ui.internal.editor

## Class GFWorkspaceCommandStackImpl

- java.lang.Object
- - org.eclipse.emf.common.command.BasicCommandStack
  - - org.eclipse.emf.transaction.impl.AbstractTransactionalCommandStack
    - - org.eclipse.emf.workspace.impl.WorkspaceCommandStackImpl
      - - org.eclipse.graphiti.ui.internal.editor.GFWorkspaceCommandStackImpl

All Implemented Interfaces:
  org.eclipse.emf.common.command.CommandStack, org.eclipse.emf.transaction.impl.InternalTransactionalCommandStack, org.eclipse.emf.transaction.TransactionalCommandStack, org.eclipse.emf.workspace.IWorkspaceCommandStack

    public class GFWorkspaceCommandStackImpl
    extends org.eclipse.emf.workspace.impl.WorkspaceCommandStackImpl

### Constructor Summary

Constructors
Constructor and Description
`GFWorkspaceCommandStackImpl(IOperationHistory history)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `execute(org.eclipse.emf.common.command.Command command, Map<?,?> options)`
`void` `flush()`
`void` `redo()`
`void` `undo()`

### Methods inherited from class org.eclipse.emf.workspace.impl.WorkspaceCommandStackImpl

`canRedo, canUndo, createTransaction, executeTriggers, getDefaultUndoContext, getMostRecentCommand, getOperationHistory, getRedoCommand, getResourceUndoContextPolicy, getUndoCommand, isSaveNeeded, saveIsDone, setEditingDomain, setResourceUndoContextPolicy`

### Methods inherited from class org.eclipse.emf.transaction.impl.AbstractTransactionalCommandStack

`execute, getDomain, getExceptionHandler, makeTriggerTransactionOptions, setExceptionHandler`

### Methods inherited from class org.eclipse.emf.common.command.BasicCommandStack

`addCommandStackListener, removeCommandStackListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.transaction.TransactionalCommandStack

`getExceptionHandler, setExceptionHandler`

### Methods inherited from interface org.eclipse.emf.common.command.CommandStack

`addCommandStackListener, execute, removeCommandStackListener`

### Constructor Detail

#### GFWorkspaceCommandStackImpl

    public GFWorkspaceCommandStackImpl(IOperationHistory history)

### Method Detail

#### execute

    public void execute(org.eclipse.emf.common.command.Command command,
                        Map<?,?> options)
                 throws InterruptedException,
                        org.eclipse.emf.transaction.RollbackException

Specified by:
  `execute` in interface `org.eclipse.emf.transaction.TransactionalCommandStack`
Overrides:
  `execute` in class `org.eclipse.emf.transaction.impl.AbstractTransactionalCommandStack`
Throws:
  `InterruptedException`
  `org.eclipse.emf.transaction.RollbackException`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.emf.transaction.impl.InternalTransactionalCommandStack`
Overrides:
  `dispose` in class `org.eclipse.emf.workspace.impl.WorkspaceCommandStackImpl`

#### flush

    public void flush()

Specified by:
  `flush` in interface `org.eclipse.emf.common.command.CommandStack`
Overrides:
  `flush` in class `org.eclipse.emf.workspace.impl.WorkspaceCommandStackImpl`

#### redo

    public void redo()

Specified by:
  `redo` in interface `org.eclipse.emf.common.command.CommandStack`
Overrides:
  `redo` in class `org.eclipse.emf.workspace.impl.WorkspaceCommandStackImpl`

#### undo

    public void undo()

Specified by:
  `undo` in interface `org.eclipse.emf.common.command.CommandStack`
Overrides:
  `undo` in class `org.eclipse.emf.workspace.impl.WorkspaceCommandStackImpl`